+================================================
+                                                
+  Weeke / HOMAG  Vectric machine output configuration file   
+                                                
+================================================
+                                                
+ History                                        
+                                                
+ Who      When       What                         
+ ======== ========== ===========================
+ Tony     02/08/2006 Written 
+ Mark     04/10/2012 Rewritten as MPR only (2D post).                     
+================================================

POST_NAME = "HOMAG Weeke MPR ATC (mm)(*.mpr)"

FILE_EXTENSION = "mpr"

UNITS = "MM"

+------------------------------------------------
+    Line terminating characters                 
+------------------------------------------------

LINE_ENDING = "[13][10]"

+------------------------------------------------
+    Block numbering                             
+------------------------------------------------

LINE_NUMBER_START     = 0
LINE_NUMBER_INCREMENT = 10
LINE_NUMBER_MAXIMUM = 999999

+================================================
+                                                
+    Formating for variables                     
+                                                
+================================================

VAR LINE_NUMBER = [N|A|N|1.0]
VAR SPINDLE_SPEED = [S|A||1.0|0.001]
VAR FEED_RATE = [F|A||1.2|0.001]
VAR X_POSITION = [X|A|X|1.3]
VAR Y_POSITION = [Y|A|Y|1.3]
VAR Z_POSITION = [Z|A|Z|1.3]
VAR X_HOME_POSITION = [XH|A|X|1.3]
VAR Y_HOME_POSITION = [YH|A|Y|1.3]
VAR Z_HOME_POSITION = [ZH|A|Z|1.3]
VAR ARC_CENTRE_I_ABS_POSITION = [IA|A|I|1.3]
VAR ARC_CENTRE_J_ABS_POSITION = [JA|A|J|1.3]
VAR X_LENGTH = [XLENGTH|A||1.3]
VAR Y_LENGTH = [YLENGTH|A||1.3]
VAR Z_LENGTH = [ZLENGTH|A||1.3]
VAR TOOL_NUMBER = [T|A||03.0]

+================================================
+                                                
+    Block definitions for toolpath output       
+                                                
+================================================

begin HEADER

"[91]H"
"VERSION=[34]4.0 Alpha[34]"
"MAT=[34]WEEKE[34]"
" "
"[91]001"
"L=[34][XLENGTH][34]"
"KM=[34]length of workpiece[34]"
"W=[34][YLENGTH][34]"
"KM=[34]width of workpiece[34]"
"T=[34][ZLENGTH][34]"
"KM=[34]thickness of workpiece[34]"
" "
"<100 \WerkStck\"
"LA=[34]L[34]"
"BR=[34]W[34]"
"DI=[34]T[34]"
" "
"<119 \Polygonzug\"
"NM=[34][TOOLPATH_NAME].PLY[34]"
"KM=[34]First Tool[34]"
"LOCAL=[34]1[34]"
"MT=[34]0[34]"
"XA=[34]L/2[34]"
"YA=[34]W/2[34]"
"BR=[34][XLENGTH][34]"
"HE=[34][YLENGTH][34]"
"WI=[34]0[34]"
"TI=[34]0[34]"
"HU=[34]0[34]"
"WZ=[34][T][34]"
"BL=[34]0[34]"
"RK=[34]NOWRK[34]"
"F_=[34][F][34]"
"SM=[34]1[34]"
"S_A=[34][S][34]"
""
"STARTLOCAL"
"SIZE X[XLENGTH] Y[YLENGTH]"

+---------------------------------------------------
+  Commands output for rapid moves 
+---------------------------------------------------

begin RAPID_MOVE

"U"
"[X] [Y] [Z]"
"D" 


+---------------------------------------------------
+  Commands output for feed rate moves
+---------------------------------------------------

begin FEED_MOVE

"[X] [Y] [Z]"

+---------------------------------------------------
+  Commands output for clockwise arc  move
+---------------------------------------------------

begin CW_ARC_MOVE

"[X] [Y] [IA] [JA] CW"

+---------------------------------------------------
+  Commands output for counterclockwise arc  move
+---------------------------------------------------

begin CCW_ARC_MOVE

"[X] [Y] [IA] [JA] CCW"


+---------------------------------------------------
+  Commands output at tool change
+---------------------------------------------------

begin TOOLCHANGE
""

+---------------------------------------------------
+  Commands output at new segment
+---------------------------------------------------

begin NEW_SEGMENT

"ENDLOCAL"
"HP=[34]0[34]"
"SP=[34]0[34]"
"YVE=[34]0[34]"
"WW=[34]1,2,3,9[34]"
"ASG=[34]2[34]"
"KG=[34]0[34]"
"RP=[34]STANDARD[34]"
"KAT=[34]Polygon definition trimming[34]"
"MNM=[34]Polygon definition trimming[34]"
"MX=[34]0[34]"
"MY=[34]0[34]"
"MZ=[34]0[34]"
"MLM=[34]0[34]"
"MXR=[34]STANDARD[34]"
"MYR=[34]STANDARD[34]"
"MZR=[34]STANDARD[34]"
"MLR=[34]STANDARD[34]"
"_MXF=[34]1[34]"
"MXF=[34]1[34]"
"_MYF=[34]1[34]"
"MYF=[34]1[34]"
""
"<119 \Polygonzug\"
"NM=[34][TOOLPATH_NAME].PLY[34]"
"KM=[34]Tool Change[34]"
"LOCAL=[34]1[34]"
"MT=[34]0[34]"
"XA=[34]L/2[34]"
"YA=[34]W/2[34]"
"BR=[34][XLENGTH][34]"
"HE=[34][YLENGTH][34]"
"WI=[34]0[34]"
"TI=[34]0[34]"
"HU=[34]0[34]"
"WZ=[34][T][34]"
"BL=[34]0[34]"
"RK=[34]NOWRK[34]"
"F_=[34][F][34]"
"SM=[34]1[34]"
"S_A=[34][S][34]"
""
"STARTLOCAL"
"SIZE X[XLENGTH] Y[YLENGTH]"
+---------------------------------------------------
+  Commands output at the end of the file
+---------------------------------------------------

begin FOOTER

"ENDLOCAL"
"HP=[34]0[34]"
"SP=[34]0[34]"
"YVE=[34]0[34]"
"WW=[34]1,2,3,9[34]"
"ASG=[34]2[34]"
"KG=[34]0[34]"
"RP=[34]STANDARD[34]"
"KAT=[34]Polygon definition trimming[34]"
"MNM=[34]Polygon definition trimming[34]"
"MX=[34]0[34]"
"MY=[34]0[34]"
"MZ=[34]0[34]"
"MLM=[34]0[34]"
"MXR=[34]STANDARD[34]"
"MYR=[34]STANDARD[34]"
"MZR=[34]STANDARD[34]"
"MLR=[34]STANDARD[34]"
"_MXF=[34]1[34]"
"MXF=[34]1[34]"
"_MYF=[34]1[34]"
"MYF=[34]1[34]"
"_MZF=[34]1[34]"
"MZF=[34]1[34]"
"!"
